Index: trunk/source/Lib/TLibCommon/TComSlice.cpp
===================================================================
--- trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 1067)
+++ trunk/source/Lib/TLibCommon/TComSlice.cpp	(revision 1084)
@@ -103,8 +103,6 @@
 , m_temporalLayerNonReferenceFlag ( false )
 , m_enableTMVPFlag                ( true )
-#if I0044_SLICE_TMVP
+#if H_MV
 , m_availableForTMVPRefFlag       ( true )
-#endif
-#if H_MV
 , m_refPicSetInterLayer0           ( NULL )
 , m_refPicSetInterLayer1           ( NULL )
@@ -142,5 +140,5 @@
 , m_depthToDisparityF             ( NULL )
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
 , m_bApplySingleDepthMode         (false)
 #endif
@@ -650,9 +648,5 @@
   
   TComPic**             refPicSetStCurr    [2] = { RefPicSetStCurr0, RefPicSetStCurr1 };
-#if FIX_WARNING
   Int numPocStCurr[2] = { (Int)NumPocStCurr0, (Int)NumPocStCurr1 }; 
-#else
-  Int numPocStCurr[2] = { NumPocStCurr0, NumPocStCurr1 }; 
-#endif
 
   for (Int li = 0; li < ((m_eSliceType==B_SLICE) ? 2 : 1); li++)
@@ -728,7 +722,5 @@
 
         assert( rpsCurrList[li][ orgIdx ] != NULL ); 
-#if DISCARDABLE_PIC_RPS
         assert( rpsCurrList[li][ orgIdx ]->getSlice(0)->getDiscardableFlag() == 0 );    // Inter-layer RPS shall not contain picture with discardable_flag = 1.
-#endif
         m_apcRefPicList    [li][rIdx] = rpsCurrList    [li][ orgIdx ];
         m_bIsUsedAsLongTerm[li][rIdx] = usedAsLongTerm [li][ orgIdx ] ; 
@@ -1105,5 +1097,5 @@
   }
 #endif
-#if MTK_SINGLE_DEPTH_MODE_I0095
+#if H_3D_SINGLE_DEPTH
   m_bApplySingleDepthMode = pSrc->m_bApplySingleDepthMode;
 #endif
@@ -1881,7 +1873,5 @@
 #if H_MV
   m_vpsBaseLayerInternalFlag = true; 
-#if H_MV_HLS10_GEN_VSP_BASE_LAYER_AVAIL
   m_vpsBaseLayerAvailableFlag = true; 
-#endif
 #endif
 
@@ -1909,16 +1899,7 @@
   {
     m_layerSetIdxForOlsMinus1[i]  = -1; 
-#if !H_MV_HLS10_PTL
-    m_profileLevelTierIdx[i]      = 0; 
-#endif
     for ( Int j = 0; j < MAX_VPS_NUH_LAYER_ID_PLUS1; j++)
     {
-#if H_MV_HLS10_PTL
-#if H_MV_HLS10_PTL_FIX
       m_profileTierLevelIdx[i][j] = -1; 
-#else
-      m_profileTierLevelIdx[i][j] = false; 
-#endif
-#endif
       m_outputLayerFlag[i][j] = false; 
     }
@@ -1970,12 +1951,6 @@
     m_viewIndex         [i] = -1; 
     m_vpsDepthModesFlag [i] = false;
-#if SEC_HLS_CLEANUP_I0100
     m_ivMvScalingFlag[i] = true; 
-#else
-    m_ivMvScalingFlag = true; 
-#endif
-#if SEPARATE_FLAG_I0085
     m_bIVPFlag [i]      = false;
-#endif
 #endif
 
@@ -1984,12 +1959,8 @@
       m_directDependencyFlag[i][j] = false;
       m_directDependencyType[i][j] = -1; 
-#if H_MV_HLS10_REF_PRED_LAYERS
       m_dependencyFlag  [i][j]    = false; 
       m_idDirectRefLayer[i][j]    = -1; 
       m_idPredictedLayer[i][j]    = -1; 
       m_idRefLayer      [i][j]    = -1; 
-#else
-      m_refLayerId[i][j]           = -1; 
-#endif
       m_maxTidIlRefPicsPlus1[i][j]  = 7;
     }
@@ -2016,5 +1987,5 @@
 #endif
 #endif
-#if MTK_I0099_VPS_EX2
+#if H_3D_QTLPC
     m_bLimQtPredFlag       [ i ] = false;
 #endif
@@ -2028,5 +1999,5 @@
     m_bInterSDCFlag        [ i ] = false;
 #endif
-#if SEPARATE_FLAG_I0085
+#if H_3D
     m_bIVPFlag             [ i ] = false;
 #endif
@@ -2075,8 +2046,6 @@
   assert( getVpsNumRepFormatsMinus1() <= 255 ); 
 
-#if H_MV_HLS10_ADD_LAYERSETS
   // The value of num_add_layer_sets shall be in the range of 0 to 1023, inclusive. 
   assert( getNumAddLayerSets() >= 0 && getNumAddLayerSets() <= 1023 ); 
-#endif
   return true; 
 }
@@ -2111,5 +2080,4 @@
 {
 
-#if H_MV_HLS10_REF_PRED_LAYERS
   for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
   {
@@ -2181,95 +2149,6 @@
   }
   m_numIndependentLayers = k;
-#else // H_MV_HLS10_GEN
-
-  for( Int i = 0; i  <= getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i ); 
-    m_numDirectRefLayers[ iNuhLId ] = 0; 
-    for( Int j = 0; j < i; j++ )
-    {
-      if( getDirectDependencyFlag(i , j) )
-      {
-        m_refLayerId[ iNuhLId ][m_numDirectRefLayers[ iNuhLId ]++ ] = getLayerIdInNuh( j );
-      }
-    }
-  }
-
-  for (Int i = 0 ; i < MAX_NUM_LAYER_IDS; i++ )
-  {
-    m_numRefLayers[i] = 0; 
-  }
-
-  for (Int currLayerId = 0; currLayerId <= 62; currLayerId++ ) 
-  {
-    for (Int i = 0 ; i < MAX_NUM_LAYER_IDS; i++ )
-    {
-      m_recursiveRefLayerFlag[currLayerId][i] = 0; 
-    }
-  }
-
-  for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    xSetRefLayerFlags( iNuhLId );
-    for( Int j = 0; j < 63; j++ )
-    {
-      m_numRefLayers[ iNuhLId ]  +=  m_recursiveRefLayerFlag[ iNuhLId ][ j ];
-    }
-  }
-  
-  for( Int i = 0; i <= getMaxLayersMinus1(); i++ )  // Bug in spec "<" instead of "<=" 
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    Int predIdx = 0;
-    for( Int j = iNuhLId + 1; j < 63; j++ )
-    {
-      if( m_recursiveRefLayerFlag[ j ][ iNuhLId ] )
-      {
-        m_predictedLayerId[ iNuhLId ][ predIdx++ ] = j;
-      }
-    }
-    m_numPredictedLayers[ iNuhLId ] = predIdx;
-  }
-  
-  Bool countedLayerIdxFlag[ MAX_NUM_LAYERS ]; 
-  for( Int i = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    countedLayerIdxFlag[ i ] = 0;
-  }
-  for( Int i = 0, k = 0; i  <=  getMaxLayersMinus1(); i++ )
-  {
-    Int iNuhLId = getLayerIdInNuh( i );
-    if( m_numDirectRefLayers[ iNuhLId ]  ==  0 )
-    {
-      m_treePartitionLayerIdList[ k ][ 0 ] = iNuhLId;
-      m_numLayersInTreePartition[ k ]      = 1;
-
-      for( Int j = 0; j < m_numPredictedLayers[ iNuhLId ]; j++ )  
-      {
-        if( !countedLayerIdxFlag[ getLayerIdInVps( m_predictedLayerId[ iNuhLId ][ j ] ) ] )    
-        {
-          m_treePartitionLayerIdList[ k ][ m_numLayersInTreePartition[ k ] ] = m_predictedLayerId[ iNuhLId ][ j ];
-          m_numLayersInTreePartition[ k ]++;
-          countedLayerIdxFlag[ getLayerIdInVps( m_predictedLayerId[ iNuhLId ][ j ] ) ] = 1;
-        }
-      }
-      k++;
-
-      m_numIndependentLayers = k;
-    }
-  }
-#endif // H_MV_HLS10_GEN
-}
-
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Int TComVPS::getRefLayerId( Int layerIdInNuh, Int idx )
-{
-  assert( idx >= 0 && idx < m_numDirectRefLayers[layerIdInNuh] );     
-  Int refLayerIdInNuh = m_refLayerId[ layerIdInNuh ][ idx ];    
-  assert ( refLayerIdInNuh >= 0 ); 
-  return refLayerIdInNuh;
-}
-#endif
+}
+
 
 Int TComVPS::getScalabilityId( Int layerIdInVps, ScalabilityType scalType )
@@ -2309,7 +2188,5 @@
   for ( i = 0; i < iNumViews ; i++ )
   {
-#if H_3D_FIX_UNINIT
     m_bCamParPresent[i] = false; 
-#endif
     m_bCamParInSliceHeader[i] = false; 
     m_aaaiCodedScale[i] = new Int*[ 2 ];
@@ -2424,9 +2301,5 @@
 {
   assert( lsIdx >= 0 ); 
-#if H_MV_HLS10_ADD_LAYERSETS
   assert( lsIdx <= getNumLayerSets() ); 
-#else
-  assert( lsIdx <= getVpsNumLayerSetsMinus1() ); 
-#endif
   return (Int) m_layerSetLayerIdList[ lsIdx ].size(); 
 }
@@ -2452,25 +2325,4 @@
 }
 
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Bool TComVPS::getInDirectDependencyFlag( Int depLayeridInVps, Int refLayeridInVps, Int depth /*= 0 */ )
-{
-#if H_MV_HLS10_REF_PRED_LAYERS
-  // TBD: Remove getInDirectDependencyFlag entirely.
-  return getDependencyFlag( depLayeridInVps, refLayeridInVps );
-#else
-  assert( depth < 65 ); 
-  Bool dependentFlag = getDirectDependencyFlag( depLayeridInVps, refLayeridInVps ); 
-
-  for( Int i = 0; i < depLayeridInVps && !dependentFlag; i++ )
-  {
-    if ( getDirectDependencyFlag( depLayeridInVps, i ) )
-    {
-      dependentFlag = getInDirectDependencyFlag( i, refLayeridInVps, depth++ ); 
-    }
-  }
-  return dependentFlag;
-#endif
-}
-#endif
 
 Void TComVPS::deriveLayerSetLayerIdList()
@@ -2501,12 +2353,8 @@
   for( Int j = 0; j < getNumLayersInIdList( lsIdx ); j++ )
   {
-#if H_MV_HLS10_NESSECARY_LAYER
     if ( getNecessaryLayerFlag( i , j ))
     {
-#endif
       m_targetDecLayerIdLists[i].push_back( m_layerSetLayerIdList[ lsIdx ][ j ] ); 
-#if H_MV_HLS10_NESSECARY_LAYER
-    }
-#endif
+    }
 
     if( getOutputLayerFlag( i, j  ))
@@ -2557,28 +2405,4 @@
 }
 
-#if !H_MV_HLS10_ADD_LAYERSETS
-Void TComVPS::inferDbpSizeLayerSetZero( TComSPS* sps, Bool encoder )
-{
-  for( Int j = 0; j <= getMaxSubLayersInLayerSetMinus1( 0 ); j++ )
-  {
-    Int maxDecPicBufferingMinus1 = sps->getMaxDecPicBuffering( j ) - 1; 
-    Int numReorderPics           = sps->getNumReorderPics    ( j ); 
-    Int maxLatencyIncreasePlus1  = sps->getMaxLatencyIncrease( j ); 
-
-    if ( encoder )
-    {
-      assert( getDpbSize()->getMaxVpsDecPicBufferingMinus1(0, 0, j ) == maxDecPicBufferingMinus1 );
-      assert( getDpbSize()->getMaxVpsNumReorderPics       (0,    j ) == numReorderPics           );
-      assert( getDpbSize()->getMaxVpsLatencyIncreasePlus1 (0,    j ) == maxLatencyIncreasePlus1  );
-    }
-    else
-    {
-      getDpbSize()->setMaxVpsDecPicBufferingMinus1(0, 0, j, maxDecPicBufferingMinus1 );
-      getDpbSize()->setMaxVpsNumReorderPics       (0,    j, numReorderPics           );
-      getDpbSize()->setMaxVpsLatencyIncreasePlus1 (0,    j, maxLatencyIncreasePlus1  );        
-    }     
-  }
-}
-#endif
 Bool TComVPS::getAltOutputLayerFlagVar( Int i )
 {
@@ -2594,42 +2418,6 @@
 }
 
-#if !H_MV_HLS10_MAXNUMPICS
-Int TComVPS::getMaxNumPics( Int layerId )
-{
-  Int maxNumPics = MAX_INT; 
-  for( Int olsIdx = 0; olsIdx < getNumOutputLayerSets(); olsIdx++)
-  {
-    Int lsIdx = olsIdxToLsIdx( olsIdx ); 
-    for( Int j = 0; j < getNumLayersInIdList( lsIdx ); j++ )
-    {
-      if( getLayerSetLayerIdList(lsIdx, j ) ==  layerId )
-      {
-        Int maxSL = getMaxSubLayersInLayerSetMinus1( lsIdx ); 
-        maxNumPics = std::min( maxNumPics, getDpbSize()->getMaxVpsDecPicBufferingMinus1( olsIdx , j,  maxSL ) );
-      }
-    }
-  }
-  assert( maxNumPics != MAX_INT ); 
-  return maxNumPics;
-}
-#endif
-
-#if !H_MV_HLS10_REF_PRED_LAYERS
-Void TComVPS::xSetRefLayerFlags( Int currLayerId )
-{
-  for( Int j = 0; j < getNumDirectRefLayers( currLayerId ); j++ )
-  {
-    Int refLayerId = m_refLayerId[ currLayerId ][ j ];
-    m_recursiveRefLayerFlag[ currLayerId ][ refLayerId ] = 1;
-    for( Int k = 0; k < MAX_NUM_LAYER_IDS; k++ )
-    {
-      m_recursiveRefLayerFlag[ currLayerId ][ k ] = m_recursiveRefLayerFlag[ currLayerId ][ k ]  ||  m_recursiveRefLayerFlag[ refLayerId ][ k ];
-    }
-  }
-}
-
-#endif
-
-#if H_MV_HLS10_PTL_FIX
+
+
 Int TComVPS::inferProfileTierLevelIdx(Int i, Int j)
 {
@@ -2651,7 +2439,5 @@
   return ptlIdx;
 }
-#endif
-
-#if H_MV_HLS10_ADD_LAYERSETS
+
 Void TComVPS::deriveAddLayerSetLayerIdList(Int i)
 {
@@ -2676,7 +2462,5 @@
 }
 
-#endif
-
-#if H_MV_HLS10_NESSECARY_LAYER
+
 Void TComVPS::deriveNecessaryLayerFlags(Int olsIdx)
 {
@@ -2709,7 +2493,5 @@
   }
 }
-#endif
-
-#if H_MV_HLS10_ADD_LAYERSETS
+
 Void TComVPS::printPTL()
 {
@@ -2757,15 +2539,12 @@
 #endif
 
-#if H_MV_HLS10_AUX
   vector<Int> viewOrderIndex;
   vector<Int> auxId;
   vector<Int> dependencyId; 
   vector<Int> viewId; 
-#endif
   for (Int i = 0; i <= getMaxLayersMinus1(); i++ )
   {
     fullArray.push_back( getMaxLayersMinus1() + 1 ); 
     range.push_back( i ); 
-#if H_MV_HLS10_AUX      
     viewOrderIndex.push_back( getViewIndex   ( i ) );
     dependencyId  .push_back( getDependencyId( i ) );
@@ -2774,5 +2553,4 @@
 #if H_3D  
     depthId.push_back( getDepthId( i ) );
-#endif
 #endif
   }
@@ -2787,5 +2565,4 @@
 }
 
-#if H_MV_HLS10_AUX
 Void TComVPS::printScalabilityId()
 {
@@ -2825,5 +2602,4 @@
   std::cout << std::endl;
 }
-#endif
 
 Void TComVPS::printLayerSets()
@@ -2880,5 +2656,4 @@
 }
 
-#endif
 
 #endif // H_MV
@@ -2910,10 +2685,4 @@
 , m_pcmLog2MaxSize            (  5)
 , m_uiPCMLog2MinSize          (  7)
-#if !MTK_I0099_VPS_EX2
-#if H_3D_QTLPC
-, m_bUseQTL                   (false)
-, m_bUsePC                    (false)
-#endif
-#endif
 , m_bitDepthY                 (  8)
 , m_bitDepthC                 (  8)
@@ -2964,20 +2733,4 @@
 #endif
 
-#if !H_MV_HLS10_PPS
-  m_numScaledRefLayerOffsets = 0; 
-
-  for (Int i = 0; i < MAX_NUM_SCALED_REF_LAYERS; i++ )
-  {
-    m_scaledRefLayerId             [i] = -1;
-  }
-
-  for (Int i = 0; i < MAX_NUM_LAYERS; i++ )
-  {
-    m_scaledRefLayerLeftOffset     [i] = 0;
-    m_scaledRefLayerTopOffset      [i] = 0;
-    m_scaledRefLayerRiFghtOffset    [i] = 0;
-    m_scaledRefLayerBottomOffset   [i] = 0;
-  }
-#endif
 #endif
 }
@@ -3120,10 +2873,8 @@
 , m_entropyCodingSyncEnabledFlag   (false)
 , m_loopFilterAcrossTilesEnabledFlag  (true)
-, m_uniformSpacingFlag           (0)
-, m_iNumColumnsMinus1            (0)
-, m_puiColumnWidth               (NULL)
-, m_iNumRowsMinus1               (0)
-, m_puiRowHeight                 (NULL)
-, m_iNumSubstreams             (1)
+, m_uniformSpacingFlag           (false)
+, m_numTileColumnsMinus1         (0)
+, m_numTileRowsMinus1            (0)
+, m_numSubstreams               (1)
 , m_signHideFlag(0)
 , m_cabacInitPresentFlag        (false)
@@ -3158,14 +2909,4 @@
 TComPPS::~TComPPS()
 {
-  if( m_iNumColumnsMinus1 > 0 && m_uniformSpacingFlag == 0 )
-  {
-    if (m_puiColumnWidth) delete [] m_puiColumnWidth; 
-    m_puiColumnWidth = NULL;
-  }
-  if( m_iNumRowsMinus1 > 0 && m_uniformSpacingFlag == 0 )
-  {
-    if (m_puiRowHeight) delete [] m_puiRowHeight;
-    m_puiRowHeight = NULL;
-  }
   delete m_scalingList;
 }
@@ -3186,7 +2927,4 @@
     // allocate some memory and initialize with default mapping
     m_iNumDepthmapValues[i] = ((1 << m_uiDepthViewBitDepth)-1)+1;
-#if !FIX_TICKET_77
-    m_iBitsPerDepthValue[i] = numBitsForValue(m_iNumDepthmapValues[i]);
-#endif
     m_iDepthValue2Idx[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
     m_iIdx2DepthValue[i]    = (Int*) xMalloc(Int, m_iNumDepthmapValues[i]);
@@ -3277,10 +3015,6 @@
   // update DLT variables
   m_iNumDepthmapValues[layerIdInVps] = iNumDepthValues;
-#if !FIX_TICKET_77
-  m_iBitsPerDepthValue[layerIdInVps] = numBitsForValue(m_iNumDepthmapValues[layerIdInVps]);
-#endif
-}
-
-#if H_3D_DELTA_DLT
+}
+
 Void TComDLT::getDeltaDLT( Int layerIdInVps, Int* piDLTInRef, UInt uiDLTInRefNum, Int* piDeltaDLTOut, UInt *puiDeltaDLTOutNum )
 {
@@ -3347,5 +3081,4 @@
   setDepthLUTs(layerIdInVps, aiIdx2DepthValue, uiNumDepthValues);
 }
-#endif
 
 #endif
@@ -3354,9 +3087,5 @@
 Void TComSPS::inferRepFormat( TComVPS* vps, Int layerIdCurr )
 {
-#if H_MV_HLS10_MULTILAYERSPS
   if ( getMultiLayerExtSpsFlag() )
-#else
-  if ( layerIdCurr > 0 )
-#endif
   { 
     Int            repFormatIdx = getUpdateRepFormatFlag() ?  getSpsRepFormatIdx() : vps->getVpsRepFormatIdx( vps->getLayerIdInVps( layerIdCurr ) ) ;
@@ -3374,5 +3103,4 @@
     setBitDepthC             ( repFormat->getBitDepthVpsChromaMinus8() + 8 ); 
     setQpBDOffsetC           ( (Int) (6* ( getBitDepthC() -8 ) ) );
- #if H_MV_HLS10_GEN_VSP_CONF_WIN
     Window &spsConf    = getConformanceWindow();    
 
@@ -3383,11 +3111,6 @@
     spsConf.setWindowTopOffset   ( repFormat->getConfWinVpsTopOffset()     );
     spsConf.setWindowBottomOffset( repFormat->getConfWinVpsBottomOffset()  );    
-#endif
-
-#if H_MV_HLS10_MULTILAYERSPS
+
    if ( getMultiLayerExtSpsFlag() && getUpdateRepFormatFlag() )
-#else 
-   if ( getLayerId() > 0 && getUpdateRepFormatFlag() )
-#endif
     {
       assert( getChromaFormatIdc()      <=  repFormat->getChromaFormatVpsIdc()         ); 
@@ -3423,9 +3146,5 @@
   const std::vector<Int>& targetDecLayerIdList = vps->getTargetDecLayerIdList( vps->olsIdxToLsIdx( targetOptLayerSetIdx )); 
 
-#if H_MV_HLS10_MULTILAYERSPS
   if ( getMultiLayerExtSpsFlag() )
-#else
-  if (getLayerId() > 0 )
-#endif
   {
     Int layerIdx = 0;         
@@ -3445,29 +3164,21 @@
       Int maxDecPicBufferingMinus1 = vps->getDpbSize()->getMaxVpsDecPicBufferingMinus1( targetOptLayerSetIdx, layerIdx, i ) ; 
 
-#if H_MV_HLS10_MULTILAYERSPS
       // This preliminary fix needs to be checked.
       Int maxNumReorderPics       = vps->getDpbSize()->getMaxVpsNumReorderPics( targetOptLayerSetIdx, i ); 
       Int maxLatencyIncreasePlus1 = vps->getDpbSize()->getMaxVpsLatencyIncreasePlus1( targetOptLayerSetIdx, i ); 
-#endif
       if ( encoder )      
       {
         assert( getMaxDecPicBuffering( i ) - 1 == maxDecPicBufferingMinus1 ); 
-#if H_MV_HLS10_MULTILAYERSPS
         // This preliminary fix needs to be checked.
         assert( getNumReorderPics( i )     == maxNumReorderPics       ); 
         assert( getMaxLatencyIncrease( i ) == maxLatencyIncreasePlus1 ); 
-#endif    
 
       }
       else
       {
-#if !H_MV_HLS10_MULTILAYERSPS
-        setMaxDecPicBuffering(i, maxDecPicBufferingMinus1 + 1 ); 
-#else
         // This preliminary fix needs to be checked.
         setMaxDecPicBuffering( maxDecPicBufferingMinus1 + 1 , i); 
         setNumReorderPics    ( maxNumReorderPics, i );
         setMaxLatencyIncrease( maxLatencyIncreasePlus1 - 1 , i); 
-#endif
       }
     }    
@@ -3477,8 +3188,4 @@
 Void TComSPS::checkRpsMaxNumPics( TComVPS* vps, Int currLayerId )
 {
-#if !H_MV_HLS10_MAXNUMPICS
-  // In spec, when rps is in SPS, nuh_layer_id of SPS is used instead 
-  // of nuh_layer_id of slice (currLayerId), this seems to be a bug.
-#endif
   for (Int i = 0; i < getRPSList()->getNumberOfReferencePictureSets(); i++ )
   {
@@ -3486,15 +3193,9 @@
     if ( !rps->getInterRPSPrediction() )
     {
-#if H_MV_HLS10_MAXNUMPICS
       rps->checkMaxNumPics( vps->getVpsExtensionFlag(), MAX_INT, getLayerId(), getMaxDecPicBuffering( getSpsMaxSubLayersMinus1() ) - 1 );   // INT_MAX to be replaced by DpbSize
-#else
-      rps->checkMaxNumPics( vps->getVpsExtensionFlag(), vps->getMaxNumPics( currLayerId ), 
-        getLayerId(), getMaxDecPicBuffering( getSpsMaxSubLayersMinus1() ) - 1 );  
-#endif
-    }
-  }
-}
-
-#if H_MV_HLS10_MULTILAYERSPS
+    }
+  }
+}
+
 Void TComSPS::inferSpsMaxSubLayersMinus1(Bool atPsActivation, TComVPS* vps)
 {
@@ -3517,5 +3218,4 @@
   }
 }
-#endif
 #endif
 
@@ -3880,9 +3580,5 @@
 {
   TComVPS* vps = getVPS(); 
-#if H_MV_HLS10_REF_PRED_LAYERS
   Int refLayerIdx = vps->getLayerIdInVps( vps->getIdDirectRefLayer( getLayerId(), i ) ); 
-#else
-  Int refLayerIdx = vps->getLayerIdInVps( vps->getRefLayerId( getLayerId(), i ) ); 
-#endif
 
   Bool refLayerPicFlag = ( vps->getSubLayersVpsMaxMinus1( refLayerIdx ) >=  getTLayer() )  && ( getTLayer() == 0  ) &&
@@ -3955,9 +3651,5 @@
 Int TComSlice::getRefPicLayerId( Int i )
 {
-#if H_MV_HLS10_REF_PRED_LAYERS
   return getVPS()->getIdDirectRefLayer( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#else
-  return getVPS()->getRefLayerId( getLayerId(), getInterLayerPredLayerIdc( i ) );
-#endif
 }
 
@@ -4065,5 +3757,5 @@
       m_bApplyIC = true;
       Int refLayer = curLayer-1;
-#if MTK_LOW_LATENCY_IC_ENCODING_H0086_FIX
+
       Int ICEnableCandidate = getICEnableCandidate(refLayer);
       Int ICEnableNum = getICEnableNum(refLayer);
@@ -4083,22 +3775,4 @@
       setICEnableCandidate(curLayer, 0);
       setICEnableNum(curLayer, 0);
-#else
-      if( (refLayer>=0) && (g_aICEnableCANDIDATE[refLayer]>0) )
-      {    
-        Double ratio=Double(g_aICEnableNUM[refLayer])/Double(g_aICEnableCANDIDATE[refLayer]);
-
-        if( ratio > IC_LOW_LATENCY_ENCODING_THRESHOLD)
-{
-          m_bApplyIC=true;
-        }
-        else
-        {
-          m_bApplyIC=false;
-        }
-      }
-      g_aICEnableNUM[curLayer]=0;
-      g_aICEnableCANDIDATE[curLayer]=0;
-      g_lastlayer=getDepth();
-#endif
     }
   }
@@ -4210,5 +3884,5 @@
 
 #if H_3D_DDD
-#if LGE_FCO_I0116
+#if H_3D_FCO
   if( getIsDepth() && getViewIndex() > 0 && getVPS()->getMPIFlag(layerIdInVPS))
 #else
@@ -4696,5 +4370,5 @@
 , m_nonPackedConstraintFlag(false)
 , m_frameOnlyConstraintFlag(false)
-#if H_MV_HLS10_PTL
+#if H_MV
   , m_max12bitConstraintFlag      ( false )
   , m_max10bitConstraintFlag      ( false )
@@ -4712,5 +4386,5 @@
 }
 
-#if H_MV_HLS10_PTL_INFER_FIX
+#if H_MV
 Bool ProfileTierLevel::getV2ConstraintsPresentFlag()
 {
@@ -4757,5 +4431,4 @@
   copyV2ConstraintFlags      ( ptlRef );
 }
-
 #endif
 
@@ -4767,15 +4440,4 @@
 
 #if H_MV
-#if !H_MV_HLS10_PTL_INFER_FIX
-Void TComPTL::copyLevelFrom( TComPTL* source )
-{
-  getGeneralPTL()->setLevelIdc( source->getGeneralPTL()->getLevelIdc() );
-  for( Int subLayer = 0; subLayer < 6; subLayer++ )
-  {
-    setSubLayerLevelPresentFlag( subLayer, source->getSubLayerLevelPresentFlag( subLayer ) );
-    getSubLayerPTL( subLayer )->setLevelIdc( source->getSubLayerPTL( subLayer )->getLevelIdc() );
-  }
-}
-#else
 Void TComPTL::inferGeneralValues(Bool profilePresentFlag, Int k, TComPTL* refPTL)
 {
@@ -4865,5 +4527,4 @@
 }
 
-#endif
 #endif
 //! \}
@@ -4908,9 +4569,5 @@
 
   m_vpsVuiBspHrdPresentFlag = false; 
-#if H_MV_HLS10_VPS_VUI_BSP
   m_vpsVuiBspHrdParameters  = NULL;
-#else
-  m_vpsVuiBspHrdParameters  = new TComVpsVuiBspHrdParameters();
-#endif
 }
 
@@ -4958,86 +4615,5 @@
 }
 
-#if !H_MV_HLS10_VPS_VUI_BSP
-Void TComVpsVuiBspHrdParameters::checkLayerInBspFlag( TComVPS* vps, Int h )
-{
-  // It is a requirement of bitstream conformance that bitstream partition with index j shall not include 
-  // direct or indirect reference layers of any layers in bitstream partition i for any values of i and j 
-  // in the range of 0 to num_bitstream_partitions[ h ] ?1, inclusive, such that i is less than j.
-
-  for ( Int partJ = 0; partJ < getNumBitstreamPartitions( h ); partJ++ )
-  {        
-    for ( Int partI = 0; partI < partJ; partI++ )
-    {
-      for ( Int layerJ = 0; layerJ < vps->getMaxLayersMinus1(); layerJ++ )
-      {
-        if ( m_layerInBspFlag[ h ][partJ][layerJ ] )
-        {
-          for ( Int layerI = 0; layerI < vps->getMaxLayersMinus1(); layerI++ )
-          {
-            if ( m_layerInBspFlag[ h ][partI][layerI] )
-            {
-              assert( !vps->getInDirectDependencyFlag( layerI, layerJ ) ); 
-            }
-          }
-        }
-      }
-    }
-  }
-
-  // ---------------
-  // To be added: 
-  // When vps_base_layer_internal_flag is equal to 0 and layer_in_bsp_flag[ h ][ i ][ 0 ] is equal to 1 for any value of h in the 
-  // range of 1 to vps_num_layer_sets_minus1, inclusive, and any value of i in the range of 0 to num_bitstream_partitions[ h ] - 1, 
-  // inclusive, the value of layer_in_bsp_flag[ h ][ i ][ j ] for at least one value of j in the range of 1 to 
-  // NumLayersInIdList[ h ] - 1, inclusive, shall be equal to 1.
-  // ---------------
-
-
-  // When num_bitstream_partitions[ h ] is equal to 1 for any value of h in the range 1 to vps_num_layer_set_minus1, inclusive, 
-  // the value of layer_in_bsp_flag[ h ][ 0 ][ j ] should be equal to 0 for at least one value of j in the range 0 to 
-  // NumLayersInIdList[ h ] ? 1, inclusive. 
-
-
-  if ( getNumBitstreamPartitions( h ) == 1 )
-  {
-    Bool atLeastOneZero = false; 
-    for ( Int j = 0; j <= vps->getNumLayersInIdList( h ) - 1; j++ )
-    {
-      atLeastOneZero = atLeastOneZero || !getLayerInBspFlag( h, 0, j ); 
-    }    
-    assert( atLeastOneZero ); 
-  }
-
-  
-  // For any value of h in the range 1 to vps_num_layer_set_minus1, inclusive, the value of layer_in_bsp_flag[ h ][ i ][ j ] 
-  // shall be equal to 1 for at most one value of i in the range of 0 to num_bitstream_partitions[ h ] ? 1, inclusive. 
-
-  for ( Int j = 0; j <= vps->getNumLayersInIdList( h ) - 1; j++ )
-  {
-    Int numLayerInBsp = 0; 
-    for ( Int i = 0; i <= getNumBitstreamPartitions( h ) - 1; i++ )
-    {
-      numLayerInBsp += ( getLayerInBspFlag( h, i, j ) ? 1 : 0 );  
-    }    
-    assert( numLayerInBsp <= 1 ); 
-  }
-
-}
-
-Void TComVpsVuiBspHrdParameters::checkBspCombHrdAndShedIdx( TComVPS* vps, Int h, Int i, Int j )
-{
-  // bsp_comb_hrd_idx
-  assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-  assert( getBspCombSchedIdx(h, i, j ) <= getVpsNumBspHrdParametersMinus1() );
-
-  // bsp_comb_sched_idx
-  assert( getBspCombSchedIdx(h, i, j ) >= 0 );
-
-  //* This check needs to activated,  when HighestTid is available here    
-  //  assert(  getBspCombSchedIdx(h, i, j ) <= vps->getHrdParameters( getBspCombHrdIdx( h, i, j ) )->getCpbCntMinus1( highestTid ) );
-}
-#endif
-
-#if H_MV_HLS10_VPS_VUI_BSP
+
 
 TComVpsVuiBspHrdParameters::~TComVpsVuiBspHrdParameters()
@@ -5137,5 +4713,4 @@
 }
 
-#endif
 
 Void TComVUI::inferVideoSignalInfo( TComVPS* vps, Int layerIdCurr )
@@ -5173,9 +4748,5 @@
       for (Int k = 0; k < MAX_NUM_LAYER_IDS; k++ )
       {
-#if H_MV_HLS10_ADD_LAYERSETS
         m_maxVpsDecPicBufferingMinus1[i][k][j] = MIN_INT; 
-#else
-        m_maxVpsDecPicBufferingMinus1[i][k][j] = 0; 
-#endif
       }
     }
